xen-tools (4.9.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Fix missing "|" in regex in Debian's 20-setup-apt. (Closes: #997668)
    + Make test xt/gitignore.t work with git releases ≥ 2.32.0.
    + Travis CI: stop testing again Perl "dev". It no more seems to exist.
    + Also create an .orig.tar.xz signature upon "make release".
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Oct 2021 05:38:40 +0200

xen-tools (4.9-1) unstable; urgency=medium

  * New upstream bugfix and minor feature release.
    + Mark Debian 7 Wheezy and 8 Jessie as EoL.
    + Update list of Ubuntu and Debian releases.
    + distributions.conf: Fix typo in release name of future Debian 12
      release (bookwork → bookworm).
    + Actually install xen-resize-guest tool. (Thanks lintian for the
      spare-manual-page warning!)
    + Distinguish between those Debian releases using $dist/updates for
      security updates and those who use $dist-security. Thanks Paul Wise!
      (Closes: #972749)
      - Add test for this; needs libtest-file-contents-perl as build-dep.
    + Fix support for lvm_thin. Thanks to Andreas Sundstrom for the bug
      report and patch! (Closes: #942244)
    + Mount /proc and /dev before calling update-grub. Thanks to Brandon
      Bradley for the bug report and patch. (Closes: #815021)
    + Add Debian install rules for arm64. (GH #62; patch by Ian McLinden)
    + Add netplan p2p support for Ubuntu. (GH #58; patch by Volker Janzen)
    + Fix storage commandline options not overriding xen-tools.conf
      settings also in xen-update-image and xen-delete-image. (GH #57;
      patch by Volker Janzen)
    + partitions/sample-server: Change options=sync to
      options=defaults. (GL MR !1; patch by Wolfgang Karall)
    + Start all Debian releases since Stretch (9) with pygrub by default.

  * Recommend deboootstrap ≥ 1.0.117~ for working bootstrapping of Ubuntu
    6.06 Dapper and 6.10 Edgy (see #659360) and for support of Ubuntu
    17.10 Artful, 18.04 LTS Bionic, 18.10 Cosmic, 19.04 Disco, 19.10 Eoan,
    and 20.04 Focal.
  * Fix non-RFC-conforming four-letter day of week abbreviations in
    ancient debian/changelog entries.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.1. (No changes required.)
  * Adapt distributions.conf defaults to the fact that Debian Unstable
    still ships Ubuntu keyrings as of 2018, see #978438.

 -- Axel Beckert <abe@debian.org>  Tue, 29 Dec 2020 12:19:51 +0100

xen-tools (4.8-1) unstable; urgency=medium

  * New upstream release.

    [ Marc Bigler ]
    + Add support for ZFS volumes. (GH #50)

    [ Yuri Sakhno ]
    + Eliminate progress reporting which is useless in logs. (GH #42)

    [ Axel Beckert ]
    + Add preliminary support for future Debian 12 Bookworm release.
    + Add support for Ubuntu releases from 17.10 Artful to 19.04 Disco.
      - Create hooks/artful with new 40-setup-networking-deb-netplan by
        Arno Bakker and Peter. (Fixes xen-tools/xen-tools#51)
      - Rename hooks/karmic/80-install-kernel to
        hooks/common/80-install-kernel-ubu and add according symlinks.
    + Change all occurrences of httpredir.debian.org to deb.debian.org
      except those for the debian-archive. The latter now point to
      archive.debian.org directly.
    + Set Ubuntu fallback suite to the latest LTS, i.e. 18.04 Bionic.
    + Drop pygrub path detection from xm.tmpl, Xen prefers a path-less
      bootloader='pygrub'.
    + Many improvements for the release-testing script.
    + Only run xen-toolstack helper script if both, xm and xl are
      present. Avoids warning about deprecated helper script.
    + distributions.conf now supports arbitrary keyring files in
      /usr/share/keyrings/. (Needed for some EoL Ubuntu releases.)

    [ Nico Boehr ]
    + Add support for LVM thin provisioning.

    [ Pietro Stäheli ]
    + Add support for option --randommac for really random MAC addresses
      upon every xen-create-image invocation. (Closes: #855703)

  [ Axel Beckert ]
  * Fix wrong bug number for #849867 in previous changelog entry.
  * Declare compliance with Debian Policy 4.1.3.
    + Change Priority from extra to optional.
  * Use "$(MAKE)" instead of "make" in debian/rules.
  * debian/control: Drop "Testsuite: autopkgtest" header, no more needed.
  * Switch "activate" trigger to "activate-noawait".
  * Recommend e2fsprogs. (Closes: #887236)
  * Prefer btrfs-progs over now transitional package btrfs-tools. (Closes:
    #878910)
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Only using dh compat level 10 allows one to still build the package
      on Debian 9 Stretch without backports, on Ubuntu 18.04 LTS and on
      Ubuntu 16.04 LTS with backports.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Check $DEB_BUILD_OPTIONS and $DEB_BUILD_PROFILES in
    override_dh_auto_test. Fixes according lintian warning.
  * Use ubuntu-keyring instead of now transitional ubuntu-archive-keyring,
    but keep the latter as alternative to allow one to install the
    xen-tools package also on older Debian or Ubuntu releases.
  * Suggest grub-xen-host despite the proper support for it is not
    finished.
  * Add a note about "vsyscall=emulate" and older Linux distributions to
    debian/NEWS. Thanks to James Clarke and Jason Crain for the hint!
  * Add a DEP-12 debian/upstream/metadata file.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace from debian/changelog. (GH #54)

 -- Axel Beckert <abe@debian.org>  Sat, 09 Feb 2019 01:56:51 +0100

xen-tools (4.7-1) unstable; urgency=medium

  * New upstream release
    + release-testing: Several enhancements, race condition avoidance, …
    + Fixes reported error code in case of subcommand failure (Reported
      and fixed by Yuri Sakhno, thanks!)
    + Fixes typo found by lintian.
    + Support for Ubuntu 16.10 Yakkety Yak.
    + Preliminary support for Ubuntu 17.04 Zesty Zapus.
    + Knows future Debian release names Buster (10) and Bullseye (11).
    + Knows about Ubuntu's "devel" alias.
    + Risen default values for RAM sizes in /etc/xen-tools/xen-tools.cfg
      to cope with risen resource consumption and availability.
      (Closes: #849867)
    + Default file system is now ext4 (instead of ext3).
    + Fixes inconsistent/non-functional handling of --nopygrub
      parameter. Thanks Daniel Reichelt for the bug report and patch!
      (Closes: #842609)
    + Fixes possible missing gateway in generated
      /etc/network/interfaces. (Closes: #764625)
    + Support situations where distributions (e.g. Squeeze) might be EoL,
      but its archive signing key is still not removed from the default
      keyring.
    + Workaround LVM related race condition when using --force with LVM.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Use NEWS.markdown as upstream changelog, don't install it as docs.
  * Switch many URLs (upstream and in packaging) to https:// and update
    URLs where they were broken or redirect somewhere else now.
  * Fix some typos in older debian/changelog and debian/NEWS items.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Jan 2017 00:39:11 +0100

xen-tools (4.6.2-1) unstable; urgency=medium

  * New upstream bugfix release

    [ Pierre Olivier ]
    + Added /usr/local/bin/pygrub to the end of the pygrub search path.

    [ nirgal ]
    + Fixed typo in initramfs comment

    [ Axel Beckert ]
    + Make t/hooks-inittab.t using its own copy of the generic /etc/inittab
      for testing instead of using the system one's. (GH#36, should fix
      autopkgtest on systems with modified /etc/inittab)
    + Fix unescaped braces (deprecated with Perl 5.22) in t/plugin-checks.t.

  * Support checking upstream GPG signature in debian/watch.

 -- Axel Beckert <abe@debian.org>  Wed, 23 Dec 2015 18:05:54 +0100

xen-tools (4.6.1-1) unstable; urgency=medium

  * New upstream bugfix release
    + Declare GitHub as primary hosting.
    + Integrate BUGS.markdown into README.markdown, move remaining
      contents of KNOWN_BUGS.markdown to the GitHub issue tracker.
    + Fix Perl warning in t/hook-inittab.t if /etc/inittab isn't present.
      - Fixes failed autopkgtest.
    + Preliminary support for Ubuntu 16.04 LTS Xenial Xerus.
    + Neither use $#array in boolean context nor @array = undef anymore.
  * Update Vcs-* headers to point to GitHub instead of GitLab.
  * Add debian/maintscript to remove obsolete conffile
    /etc/bash_completion.d/xen-tools properly.
  * Fix typo in previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Sat, 24 Oct 2015 01:13:08 +0200

xen-tools (4.6-1) unstable; urgency=low

  * New upstream release
    + Fix usage of nonexistent variable in removeDebianPackage (Closes:
      #774936) Thanks Lukas Schwaighofer!
    + Change all occurrences of http.debian.net to httpredir.debian.org
    + Ubuntu 10.04 Lucid Lynx and 14.10 Utopic Unicorn now EoL.
    + Preliminary support for Debian 9 Stretch and Ubuntu 15.10 Wily
      Werewolf.
    + Installs bash completion into /usr/share/bash-completion/ (fixes
      lintian warning package-install-into-obsolete-dir)
    + Allows # within configuration file comments. (Closes: #783060;
      thanks Jean-Michel Nirgal Vourgère for the bug report and patch!)
    + Testsuite: Let modules.sh ignore the .git directory. (t/modules.t
      failed if a git commit message had a line starting with "use ".)
    + Testsuite: Optimize and clean up modules.sh.
    + Drop all occurrences of apt's --force-yes parameter. It only forces
      the installation of untrusted packages and that's unwanted. (Closes:
      #776487)
    + Support passing commandline options with --debootstrap-cmd.
    + Use -o APT::Install-Recommends=false instead of
      --no-install-recommends for backwards compatibility with older APT
      versions which don't know either (but accept any Foo=Bar parameter
      to "-o"). Allows one to install earlier Debian releases (e.g. Etch)
      with the default configuration again.
    + Use md5 as default hash method again, to be able to properly set
      passwords in older releases. Does not affect passwords changed later
      inside the DomU.
    + Split off hardcoded release code names list and default mirrors in
      xen-create-image into separate configuration file which is parsed
      before the default settings or command-line options are set.
    + Pass --yes to lvcreate only if LVM version is 2.02.99 or
      higher. Fixes regression introduced with 4.5 by the fix for #754517.
      - Add new (build-)dependency on libsort-versions-perl.
    + Report all SSH fingerprints of the created DomU, not only RSA ones.
    + Split up test suite in functionality/compatibility tests (t) and
      author/release tests (xt).
    + Make test suite support as-installed-testing
      - Mark package as autopkgtestable.
    + Multiple release workflow improvements (target release in Makefile):
      - Use TMPDIR instead of TMP for temporary directories.
      - Always run the full test suite before doing a release.
      - Use maximum compression and don't store time stamps in tar ball.
      - Make "release" target to include "orig-tar-gz" and tagging.
    + New option --keyring which is passed through to deboootstrap. Its
      default values work around bug #792729 in debootstrap.
    + Supports "unstable", "oldstable" and "oldoldstable" as distribution
      names, too. ("oldoldstable" is not yet supported by debootstrap, see
      feature request #792734 in debootstrap.)
    + New example script helpful for release testing.
    + Support VLANs with Open vSwitch (GH-2). Thanks to Félix Barbeira
      for the patch.
  * Update Vcs-* headers and documentation as Gitorious closed its doors
    in June 2015 and is now only available with static contents.
  * Recommend debian-archive-keyring (for installing Debian DomUs on
    derivatives) and ubuntu-archive-keyring (for installing Ubuntu DomUs
    on Debian).
  * Reduce the list of alternative xen-hypervisor-* packages to just
    "xen-hypervisor" which is a virtual package provided by at least all
    xen-hypervisor-* packages since Debian 6 Squeeze.
  * Recommend lvm2, it's at least required if the --lvm option is used.
  * Add an adequate as-installed test to debian/tests/control.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jul 2015 16:05:04 +0200

xen-tools (4.5-1) unstable; urgency=low

  * New upstream release
    + Use "686-pae" kernels instead of "686" kernels on Debian Wheezy and
      later. Thanks to Daniel Lintott! (Closes: #742778)
    + Pass "-y" option ("assume yes") to yum (Closes: #735675)
      Thanks Lionel FÉLICITÉ!
    + Drop all xend related sanity checks, they cause more havoc nowadays
      than they help. Thanks Ian Campbell! (Closes: #732456)
    + Apply patch by Adrian C. (anrxc) to allow to override hooks in
      /usr/share/xen-tools/*.d/ with hooks in /etc/xen-tools/hooks.d/.
      Thanks! (Also add /etc/xen-tools/hooks.d/ to debian/dirs.)
    + Ignore cover_db directory in t/perl-syntax.t.
    + Update list of supported Ubuntu releases.
      - Add support for Ubuntu 14.10 Utopic Unicorn.
      - Add preliminary support for Ubuntu 15.04 Vivid Vervet.
      - Use old-releases.ubuntu.com for Ubuntu 13.10 Saucy Salamander.
    + Fix always empty gateway on Debian DomUs (Thanks Joan! LP: #1328794)
    + pygrub detection: Prefer /usr/lib/xen-default over /usr/lib/xen-x.y.
    + Fix lvcreate awaiting user input when creating swap lv (Closes: #754517)
      Thanks Eric Engstrom!
    + Fix missing quoting in shell function "assert" in hooks/common.sh.
    + Fix initial configuration summary in cases where pygrub is used.
    + Fix corner cases where not the latest kernel would have been checked.
    + --password overrides --genpass. (Closes: #764143) Based on patch by
      Santiago Vila.
    + Add password length sanity check with fallback to default length.
    + Raise default password length from 8 to 23.
    + Flush output after each line in runCommand().
    + Makefile: Clean up coverage data in multiple targets.
    + t/perl-syntax.t: Ignore changelog files, too.

    [ Santiago Vila ]
    + Fix unaligned maxmem output of xen-create-image. (Closes: #764126)
    + Fix copy & paste errors in comments in typos in roles/puppet
      (Closes: #764134)
    + Fix typos in POD of xen-create-image (Closes: #764153)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Fix lintian warning depends-on-perl-modules.
  * Add lintian override for debian-news-entry-uses-asterisk; I disagree.

 -- Axel Beckert <abe@debian.org>  Sat, 25 Oct 2014 23:27:18 +0200

xen-tools (4.4-1) unstable; urgency=low

  * New upstream release
    - Run t/gitignore.t only if git is installed and .git present.
    - Rework "minimal" role to be less based on personal preferences.
      + No more installs sudo, vim, syslog-ng, etc.
      + Fixes usage together with pygrub.
    - hooks/common.sh: Split up installDebianPackage into
      installDebianPackage and installDebianPackageAndRecommends.
  * Also add build-dependency on "libterm-ui-perl | perl (<< 5.17.0)" and
    "liblog-message-perl | perl (<< 5.17.0)" to avoid warnings with Perl
    5.18 and future FTBFS.
  * Mention Ubuntu 14.04 Trusty Tahr in long description.

 -- Axel Beckert <abe@debian.org>  Wed, 11 Dec 2013 20:59:06 +0100

xen-tools (4.4~rc1-1) unstable; urgency=low

  * New upstream release candidate
    - Also switch from cdn.debian.net to http.debian.net in xen-tools.conf
    - Do not run "passwd" via runCommand as that one captures STDOUT for
      logging. Makes --passwd usable again. Thanks to Christian Herzog for
      the bug report.
    - Loop around calling "passwd" to get a second chance to change the
      password. (Closes: #703159) Thanks to Joan <aseques@gmail.com> for a
      bug fix in this new code.
      + Add dependency on "libterm-ui-perl | perl (<< 5.17.0)"
    - Declares one more POD encoding and recode Xen::Tools::Common to
      UTF-8. Fixes FTBFS with Perl 5.18. (Finally closes: #720519)
    - Apply patch by Philipp Erbelding to fix overzealous line matching in
      xen-list-images. (Gitorious merge request #5)
    - xen-list-images now displays a unit after the memory size
    - Drop support for memory size in kilobytes in xen-create-image,
      neither xt-create-xen-config nor xm support it.
    - Refactoring: Replace all occurrences of "! -z" by "-n" in hooks and
      bash completion.
    - Handle potentially empty gateway setting properly in
      hooks/common/40-setup-networking-deb. Thanks Simone Caruso!
    - Reformat hooks/common/40-setup-networking-deb so that the result
      neither has trailing whitespace nor broken indentation.
    - Also display MAC address after the DomU has been created.
    - Preliminary support for Ubuntu 14.04 Trusty Tahr.
    - Added --maxmem flag to set a maximum value for dynamic memory
      ballooning. Thanks to Joan <aseques@gmail.com> for the patch!
    - Added fix by Patryk Ściborek againsat disableStartStopDaemon()
      aborting under some circumstances. (Closes: #725192)
    - Abort early and with proper error message if "xen-delete-image
      --test" is not used with "--dir". (Closes: #704878)
    - xen-delete-image: Exit with return code != 0 in all error cases.
    - Refactoring: xt-create-xen-config: Use s/// to strip trailing MB
      size suffixes.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Axel Beckert <abe@debian.org>  Mon, 28 Oct 2013 22:31:03 +0100

xen-tools (4.4~beta1-1) unstable; urgency=low

  * New upstream beta release
    - Code deduplication to unify the xen-*-image scripts
    - Moves /usr/lib/xen-tools/ to /usr/share/xen-tools/
    - Use http.debian.net as default Debian mirror if no mirror is given
      and xt-guess-suite-and-mirror is not used.
    - Fix symbolic link hooks/centos-6/15-setup-arch (Closes: #690299)
    - Execute END block not on --version/--help/--manual (Closes: #684346)
    - Move code for --boot feature to END block. Fixes missing SSH
      fingerprint display if --boot was used. (Closes: #679183)
    - Correctly handle aborts in END block. (Closes: #704882)
    - Use local parameter instead of global variable in unMountImage.
    - Also recognize "M" and "G" instead of "MB" and "GB" as size unit for
      --memory. (Closes: #691320) Document the recognized units.
    - Default DomUs to use the noop scheduler (Closes: #693131)
    - Overwork TLS disabling on Debian and Ubuntu
    - xen-list-images now also outputs the file name of the config file.
    - xen-list-images and xen-delete-image now understand --extension.
    - Fixes "--extension=" with empty parameter.
    - Sarge amd64 case handle properly
    - Remove CVS revisions from --version output
    - Support for Debian Jessie, Ubuntu Raring and preliminary support for
      Ubuntu Saucy (debootstrap doesn't have support for Saucy at the time
      of writing)
    - Preliminary support for xl toolstack
    - xen-create-image: Consistently use runCommand() instead of system()
    - xt-install-image: Don't bail out if only cdebootstrap is installed
      but not debootstrap (Thanks Elmar Heeb!)
    - Makefile accepts DESTDIR=…
    - Move examples from debian/examples to examples.
    - Uses File::Which exclusively (no more findBinary, no more `which`),
      added (build-) dependency on libfile-which-perl
    - Knows about module-init-tools → kmod transition in wheezy/raring.
    - Adds default mount options for ext4, identical to ext2/ext3.
    - Ships /etc/initramfs-tools/conf.d/xen-tools for generating Dom0
      initrds also suitable for DomU usage. Trigger update-initramfs.
    - By default install linux-image-virtual instead of linux-image-server
      on Ubuntu Intrepid and newer (Hopefully closes: #640099, LP #839492)
    - Installs a legacy grub in all pygrub based Debian/Ubuntu DomUs to be
      able to update the menu.list automatically.
    - hooks/common.sh: installDebianPackage no more installs recommends.
    - hooks/common.sh: Rename installCentOS4Package to installRPMPackage.
      Add installCentOS4Package wrapper for backward compatibility.
    - Fix filesystem tools installation in 91-install-fs-tools (which was
      broken since 4.3~rc1-1) by merging 91-install-fs-tools back into
      90-make-fstab. (Closes: #715340) Also supports RPM-based
      distributions now.
    - Fixes export of environment variables. Previously they could contain
      dashes and then were only accessible from within Perl, but not from
      within Bash.
    - Fixes creation of "ARRAY(0x…).log" named log files.
    - Makes some options (like --pygrub) negatable.
    - Uses Test::NoTabs; add according build-dependency.
    - Removes unused Perl modules Xen::Tools and Xen::Tools::Log from
      source code. Also removes the according tests from the test suite.
      → Remove no more needed build-dependency on Moose.
    - Better documents and checks requirements for the --apt_proxy
      value. (See #623443 for the corresponding apt issue.) Add (build-)
      dependency on libdata-validate-uri-perl.
    - Use Data::Validate::{Domain,IP} for IP addresses and hostname checks.
      Add corresponding (build-) dependencies on
      libdata-validate-{domain,ip}-perl.
    - Fixes broken quoting in list of required binaries
    - Declares POD encoding. Fixes FTBFS with Perl 5.18. (Closes: #720519)
  * Add debian/gbp.conf to be able to build xen-tools with
    git-buildpackage.
  * Clean up debian/rules:
    - Don't mention (generated) upstream changelog explicitly,
      dh_installchangelogs finds it by itself if it exist. That way
      building out of a freshly clone git repository does not fail due to
      a missing upstream changelog.
    - Use dh_auto_{install,clean}; use "$(MAKE)" instead of "make" where
      dh_auto_* can't help. No more explicitly call "make manpages", it's
      a depedency of "make install" in the next line anyway.
    - Finally switch to a minimal dh style debian/rules.
  * Bump debhelper compatibility to 9
    - Update versioned debhelper build-dependency
  * Bump Standards-Version to 3.9.4 (no changes)
  * Add dependency on ${perl:Depends} to fix dpkg-gencontrol warning.
  * Bump copyright years in debian/copyright.
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Fri, 23 Aug 2013 19:00:03 +0200

xen-tools (4.3.1-1) unstable; urgency=low

  * Remove t/modules.t in upstream's t/Makefile instead of debian/rules'
    clean target.
  * Run t/hook-tls.t only if distribution actually has
    10-disable-tls. Fixes test suite failure on 32 bit architectures.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jun 2012 16:44:50 +0200

xen-tools (4.3-1) unstable; urgency=low

  * New upstream release
    - Remove most Mercurial traces
  * Fixes FTBFS due to testsuite failures (Closes: #676681)
    - Disable tests of not yet used Xen::Tools. Fixes FTBFS in test suite
      due to not satisifed Moose dependency in Xen::Tools::Log.
    - Added build-dependencies on libmoose-perl, git, and
      libtest-pod-coverage-perl for t/perl-syntax.t, t/gitignore.t, and
      t/pod-coverage.t.
    - Skip t/hook-inittab.t if /etc/inittab is not present on the build
      host. Fixes FTBFS on Ubuntu.
  * Switch to source format to "3.0 (quilt)"
  * Don't remove stamp files manually, dh_clean does that already
  * Remove generated file t/modules.t in clean target to be able to build
    twice in a row.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 22:23:59 +0200

xen-tools (4.3~rc1-1) unstable; urgency=low

  * New upstream release candidate
    - Correctly checks and documents valid values for
      disk_device. (Closes: #621499)
    - Supports creating Ubuntu 11.10 Oneiric DomUs (LP: #848654)
    - Supports creating Ubuntu 12.04 Precise and 12.10 Quantal DomUs
    - Supports creating CentOS 6 DomUs (Closes: #578399; Thanks Johan
      Schurer)
      + Recommend rinse >= 1.9.1-1
    - Supports rinse 2.0
    - Updated mirror list for discontinued releases of Debian and Ubuntu
    - Workaround for missing unit parsing in xen-create-nfs (Closes:
      #648814)
    - Fix wildcard vs regexp in memory configuration parsing.
    - Fix misbehaviour if --ip option is passed multiple times (Closes:
      #652110; Thanks Brian Bennett and Alexander Mette!)
    - Supports /etc/apt/sources.list.d/ (Closes: #650300)
    - xt-guess-suite-and-mirror exits with non-zero if no proper mirror
      could be extracted from /etc/apt/sources.list or
      /etc/apt/sources.list.d/*.list (Thanks Phil Frost!)
    - Only attempts to generate the ssh host keys if not already present
      (Closes: #607236; Thanks Vagrant Cascadian!)
    - New option --apt_proxy (Closes: #610457; Thanks Alex Tomlins!)
    - Always write down root partition as first physical device, otherwise
      pygrub fails (Closes: #609673)
    - No more expect at least one option to mkfs.* calls. Fixes btrfs
      creation.  (Closes: #609982)
    - Fixes call to non-existent function logPrint (Closes: #673335)
    - Also disable initctl in the chroot, not only start-stop-daemon
      (LP: #997063; Thanks xstasi!)
    - Massive code deduplication in hooks directory
    - Use release blacklist for libc6-xen instead of whitelist in
      hooks/debian.d/20-setup-apt
    - Enforces umask 022 in 50-setup-hostname* (Hopefully closes: #619630)
  * Add dependency on openssh-client for ssh-keygen (Closes: #649108)
  * Use dh_auto_test for build time tests and add according
    build-dependencies on devscripts and libfile-slurp-perl.
  * No more suggest evms-cli -- it's no more available on any supported
    Dom0 distribution. Thanks to Markus Waldeck for the hint.
  * Add NEWS to debian/docs.
  * Bump Standards-Version to 3.9.3 (no changes)
  * Fix the following Lintian warnings:
    - copyright-refers-to-symlink-license
    - debian-rules-missing-recommended-target
  * debian/copyright: Update copyright years
  * Move xen-utils (for pygrub) from Suggests to Recommends as pygrub
    becomes the necessary way to boot more and more often.
  * Remove xen-shell from Recommends, nobody picked it up. (Closes:
    #603708)

 -- Axel Beckert <abe@debian.org>  Fri, 08 Jun 2012 14:18:38 +0200

xen-tools (4.2.1-1) unstable; urgency=low

  * New upstream release
    - Fixes bashism in "editor" roles script. Thanks Raphaël Halimi for
      the patch! (Closes: #605203)
    - Fixes missing architecture check in Sarge amd64 special case. Thanks
      to Guillaume Pernot! (Closes: #611397) Also changes default Sarge
      amd64 mirror to http://archive.debian.org/debian-amd64/.
    - Allows --ip=auto again (Closes: #611407)
    - Unmounts /proc and /dev/pts of the freshly installed DomU just
      before unmounting the disk image. (Closes: #588783)

 -- Axel Beckert <abe@debian.org>  Thu, 17 Mar 2011 01:00:47 +0100

xen-tools (4.2-1) unstable; urgency=low

  * New upstream release
    - Fixes several cases of broken or incomplete config files with
      unexpected or seldom parameter combinations. (Closes: #484652)
    - Updates examples in /etc/xen-tools.conf to better reflect current
      state
    - Allows usage of xvc* as serial console as used as default by older
      Xen versions.
    - Preliminary support for Ubuntu 11.04 (Natty) and Debian 7.0 (Wheezy)
      (Closes: #597521)
    - Switches default mirror for EoL'ed Ubuntu 8.10 (Intrepid) and Debian
      4.0 (Etch) to the distributions' archives for old releases.
  * Does no more try extract the upstream changelog during debian package
    build. The commit which introduced this problem has been reverted.
    Document more clearly in debian/README.source how to build the package
    from a checked out copy of the git repository, especially that the
    upstream changelog has to be generated first out of the VCS log.
    (Closes: #595883)
  * Update debian/copyright: Add Stéphane Jourdois to list of authors.

 -- Axel Beckert <abe@debian.org>  Tue, 05 Oct 2010 19:01:49 +0200

xen-tools (4.2~rc1-1) unstable; urgency=low

  [Axel Beckert]
  * New upstream release candidate
    - Uses GeoIP for Debian mirrors: Default Debian mirror is now
      cdn.debian.net, see http://wiki.debian.org/DebianGeoMirror for
      details.
    - Uses the same 15-disable-hwclock hook for Debian as for Ubuntu DomUs
      (Closes: #588880)
    - Mounts not only /proc but also /dev/pts automatically before running
      any customisation hooks (Closes: #588783)
    - Uses apt-config to parse Dom0's apt.conf. (Closes: #560011)
    - Fixes wrong loop module parameter syntax in warning. Thanks to
      Daniel Baumann for spotting this. (Closes: #516902)
    - With --verbose, the output of commands called by xen-tools
      (e.g. debootstrap) is not only logged, but also printed to
      STDOUT. (Closes: #513126)
    - Adds btrfs support.
  * Bump Standards-Version to 3.9.1 (no changes)

  [Stéphane Jourdois]
  * [debian/control] Suggest btrfs-tools

 -- Axel Beckert <abe@debian.org>  Sun, 15 Aug 2010 19:34:38 +0200

xen-tools (4.2~beta1-1) unstable; urgency=low

  * New maintainer and upstream authors
  * Reintroduction into Debian Unstable (Closes: #566714)
  * New upstream beta version
    - Needs dependency on libfile-slurp-perl
    - Supports for more recent versions of Fedora, Ubuntu and Debian
      (Closes: #499477)
    - Supports pygrub. (Added "Suggests: xen-utils" to debian/control)
    - Uses hvc0 and xvda devices by default
    - Sets umask to 0077 before creating disk images (Closes: #548909)
    - Makes sure, MAKEDEV is found in either /dev/ or /sbin/
      (Closes: #502798, #515228)
    - Changed rinse path to /usr/sbin/. (Closes: #511211)
    - Doesn't delete configuration file if it already exists when
      xen-create-image is run. (Closes: #520177)
    - Doesn't write the FQDN into /etc/hostname (Closes: #492583)
    - Dereferences pointers before hashing them to generate a MAC
      address. (Closes: #547265)
    - Calls pwconv and grpconv inside chroot when installing Fedora
      (Closes: #499476)
    - Fixed typo in /usr/lib/xen-tools/*.d/75-fixup-securetty
      (Closes: #503339)
    - Makes better decisions about when to enable Debian security updates
      in the created DomU (LP: #309750)
    - Installs dhclient for CentOS and Fedora if DHCP networking is
      requested (LP: #241446)
    - Fixes some bashisms (Closes: #530226)
      * [^y] → [!y] (Thanks to Mathieu Parent!)
      * kill -HUP → kill -s HUP (found by checkbashism)
      * ${parm/?/pat[/str]} → echo | sed
      * echo -e → printf
      * read → read dummy
    - xt-install-image now exits with return value 127 instead of 0 to
      indicate errors on running the command given in --install-method.
      (Closes: #534290)
    - The debootstrap command now also can be configured on the
      commandline with --debootstrap-cmd in xen-create-image and
      xt-install-image (Enhances fix for #436480 which added the
      debootstrap-cmd config file option)
    - Checks for debootstrap and cdebootstrap, uses debootstrap if both
      are installed (Changed "Depends: debootstrap" to "Depends:
      debootstrap | cdebootstrap" in debian/control)
    - Added new files TODO and KNOWN_BUGS to debian/docs.
  * Removal of /etc/bash_completion.d/xm from the package since
    bash-completion ships a more elaborate version of that file. (Closes:
    #566683, #550590, LP: #538917, #484098)
  * Downgrade reiserfsprogs and xfsprogs to Suggests. (Closes: #561618,
    LP: #80233)
  * Added evms-cli to Suggests. It has been removed from Debian before
    Lenny, but it is necessary for some optional functionality of
    xen-tools. And since some Debian derived distributions (e.g. Ubuntu
    LTS and grml) still support it, it's included for the sake of
    completeness and correctness.
  * Added cfengine2 to Suggests. It is helpful to have it installed when
    using the cfengine2 role.
  * Bump Standards-Version to 3.8.4 (no changes necessary)
  * Bump Debhelper Compatibility to 7
    - Replace "dh_clean -k" by "dh_prep"
  * Add Vcs-* headers pointing to new upstream and packaging repository
  * Fix some Lintian warnings:
    - [debian/control]: debhelper-but-no-misc-depends
    - [debian/copyright]: copyright-without-copyright-notice
    - [debian/source/format]: missing-debian-source-format
  * Added a README.source explaining how to build xen-tools directly from
    the Git repository.
  * Overhauled package description

 -- Axel Beckert <abe@debian.org>  Sun, 30 May 2010 22:32:30 +0200

xen-tools (4.1-1) unstable; urgency=low

  - New command line argument '--no-hosts' to avoid touching /etc/hosts
    on dom0
  - New command line argument '--pygrub' to setup a guest for pygrub use.
  - Generated configuration file should work for --image-dev + --swap-dev
    again.
  - Always use /dev/pts for new images.

 -- Steve Kemp <skx@debian.org>  Sun, 23 Nov 2008 13:06:01 +0000

xen-tools (3.9-6) unstable; urgency=low

  - Allow command line flags to be unset.
    Thanks to Ruud Koolen for the patch.
    (Closes: #484338)

 -- Steve Kemp <skx@debian.org>  Tue, 14 Oct 2008 22:00:22 +0000

xen-tools (3.9-5) unstable; urgency=medium

  - Record the ARCH for RPM-based distros.
    (Closes: #475125)
  - Abort if the generated configuration file already exists.
    (Closes: #499475)

 -- Steve Kemp <skx@debian.org>  Mon, 13 Oct 2008 19:20:21 +0000

xen-tools (3.9-4) unstable; urgency=high

  * Changed two defaults in xen-tools.conf to conform
    to the defaults used by the xen packages:
      + serial_device: tty1 -> hvc0
      + disk_device:   sda  -> xvda

  * Priority High because of RC bug. (closes: #499282)

 -- Radu Spineanu <radu@debian.org>  Tue, 30 Sep 2008 02:02:21 +0300

xen-tools (3.9-3) unstable; urgency=medium

  - Ensure that Fedora guests get /dev/pts mounted.
    Thanks to  Giovanni Biscuolo (Closes: #474919)
  - Add the new hostnames to /etc/hosts on the dom0 in the correct order.
    Thanks to Wolfgang Karall (Closes: #477775)
  - Ensure that packages are remoed non-interactively for scripted stuff.
    Thanks to Wolfgang Karall (Closes: #477629)
  - Correctly handle custom partitioning systems.
    Thanks to Stéphane AICARDI (Closes: #477334)

 -- Steve Kemp <skx@debian.org>  Wed, 20 Feb 2007 21:22:23 +0000

xen-tools (3.9-2) unstable; urgency=high

  - Ensure that the hook scripts which setup networking details for
    Debian & Ubuntu guests will correctly setup the broadcast address.

 -- Steve Kemp <skx@debian.org>  Wed, 20 Feb 2007 21:22:23 +0000

xen-tools (3.9-1) unstable; urgency=low

  - general:
    - Removed recommendation on perl-doc.  (Closes: #447715)
    - Support fedora Core 8 (Closes: 450626)
  - hooks:
    - Update /etc/securetty upon new images to ensure that xvc0 + hvc0
      are permitted.  (Closes: #442926)
  - xen-delete-image:
    - Show what has been deleted by default. (Closes: #452756)
  - xen-create-image:
    - Return exit status of 127 on any error.
      (Closes: #455916)
  - Debian:
    - Moved homepage into control file, not description.
    - Updated standards version to 3.7.3 (no changes).

 -- Steve Kemp <skx@debian.org>  Fri, 1 Feb 2007 19:22:01 +0000

xen-tools (3.8-1) unstable; urgency=low

  [ Steve Kemp ]
  * Allow the debootstrap command to be changed to cdebootstrap
    via 'debootstrap-cmd = /usr/sbin/cdebootstrap'.
    (Closes: #436480)
  * Fix typo on pointopoint links.
    (Closes: #436170)
  * Avoid breaking command line completion when using aliased 'ls'.
    (Closes: #439874)
  * Correctly determine whether a Xen guest is running prior to deletion.
    (Closes: #440664)
  * Allow the user to specify which serial device should be used for
    use by the 'xm console', via serial_device=/dev/xvc0 in xen-tools.conf
    (Closes: #423389)
  * Allow the user to specify which disk device should be used, via
    disk_device=/dev/xvd[a-z] in xen-tools.conf
    (Closes: #439233)
  * Use 'apt-get remove' rather than 'dpkg --purge' when removing packages
    in hooks.  (Closes: #441981)

  [ Radu Spineanu ]
  * debian/control: Roland Stigge and I switched maintainer places.
  * debian/control: Added Steve Kemp to Uploaders.

 -- Radu Spineanu <radu@debian.org>  Wed, 03 Oct 2007 00:39:58 +0300

xen-tools (3.7-1) unstable; urgency=low

  * Added dependency upon 'rinse'
    - Support the installation of Fedora Core 4-7 & Centos 4 + 5.
  * Better POD files
  * Updated the example script 'setup-kernel-initrd' to work better.
  * Mount /proc prior to running post-install scripts.
  * Better handling for Ubuntu language packs.
  * Generate MAC addresses for all new guests by default.

 -- Steve Kemp <steve@steve.org.uk>  Tue, 10 Jul 2007 20:35:34 +0000

xen-tools (3.6-1) unstable; urgency=low

  * Added custom partitioning support.
     - Added dependency upon libconfig-inifiles-perl.
  * Better device creation in the creation of guests.
  * Sanity checking of the network configuration of Xend.

 -- Steve Kemp <steve@steve.org.uk>  Tue, 10 Jul 2007 20:35:34 +0000

xen-tools (3.5-1) unstable; urgency=low

  * Only add Debian sources for security.debian.org if enabled upon the host.
  * Allow per-dist mirrors.  Which is useful when working with mixed
    Debian + Ubuntu installations.
  * Added support for Ubuntu Feisty + Gutsy
  * Use "policy-rc.d" to prevent daemons from starting inside our
    chroot().
  * xen-update-image will now skip Xen guests which are running.

 -- Steve Kemp <steve@steve.org.uk>  Sun, 16 Jun 2007 14:43:00 +0000

xen-tools (3.4-1) unstable; urgency=low

  [ Steve Kemp ]
  * New upstream release v3.4
    - Allows the expansion of backticks in configuration file(s).
    - Generate locales for the new Xen guests to match the host machine.
      (Closes: #423385)

  [ Radu Spineanu ]
    - Better kernel/initrd guessing in the configuration file(using uname -r).
      Also added a note about this in README.Debian. (closes: #425019)

 -- Radu Spineanu <radu@debian.org>  Tue, 29 May 2007 01:09:40 +0300

xen-tools (3.3-1) unstable; urgency=low

  [ Steve Kemp ]
  * New upstream release v3.3
    - Refuse to delete running guests.  (Closes: #419561)
    - Updated the package "Recommends" (Closes: #421174)

 -- Radu Spineanu <radu@debian.org>  Fri, 12 May 2007 19:09:09 +0200

xen-tools (3.2-1) unstable; urgency=low

  [ Steve Kemp ]
  * New upstream release v3.2
    - Installation argument changes so that --copy, --debootstrap, --rpmstrap,
      and --tar have been replaced with --install-method.
      Indirectly (closes: #404454, #411817)
    - Updated bash completion scripts.
    - New installation method, using an image-server.
  * Added sample script in examples/ to update the xen-tools.conf
    file, and all domains with the most current Xen kernel and initrd
    image.  (closes: #401206)
  * Setup correct security sources for apt-get.
    (Closes: #407543)
  * Automatically cleanup if installation fails.
    (Closes: #383029)
  * Auto-incrementing network addresses for new installations.
  * Added 'xen-create-nfs' to create new NFS-Root Xen guests.
  * Added the ability to install into a physical partition.
    (Closes: #406212)

 -- Radu Spineanu <radu@debian.org>  Sun, 25 Mar 2007 21:35:06 +0300

xen-tools (3.1-1) unstable; urgency=low

  [ Steve Kemp ]
  * New upstream release v3.1.
    - Installation of packages in hooks works. (Closes: #402889, #404518)
    - Xen configuration files are not accidentally trashed.  (Closes: #404443)
    - Hooks are now optional.  (Closes: #404444)
    - Better error handling of image creation. (Closes: #404455, #404516)
    - Avoid copying needless kernel modules to guests.  (Closes: #404508)
    - Fixed typo in error handling. (Closes: #404509)
    - When copying user accounts copy groups too. (Closes: #404521)

 -- Radu Spineanu <radu@debian.org>  Sun, 25 Mar 2007 21:35:04 +0300

xen-tools (3.0-1) unstable; urgency=low

  [ Steve Kemp ]
  * New upstream release of 3.0
    - Tests that config files exists.  (Closes: #402328)
    - New option to create image but not install.  (Closes: #383057, #402315)
    - Made "etch" the default target to install.  (Closes: #399705)

 -- Radu Spineanu <radu@debian.org>  Wed,  13 Dec 2006 11:17:28 +0000

xen-tools (3.0~beta1-2) unstable; urgency=low

  * Remove old symlinks and directories during preinst. (closes: #401834)

 -- Radu Spineanu <radu@debian.org>  Wed,  6 Dec 2006 15:58:44 +0200

xen-tools (3.0~beta1-1) unstable; urgency=low

  * Development snapshot
  * Mention the --mac option in the man page.
    (closes: #399708)
  * Set the locale version to 'C' to avoid perl warnings.
    (closes: #399778)

 -- Radu Spineanu <radu@debian.org>  Mon,  4 Dec 2006 16:55:31 +0200

xen-tools (2.8-2) unstable; urgency=low

  * Support Upstart in hook 30-fix-inittab (Closes: #399153)
  * hooks/common.sh: Applied Petter Reinholdtsen's
       assert "$LINENO" ""
    changes, the rest was already fixed in 2.8-1 (Closes: #399286)
  * Only copy modules if newer in 80-install-modules (Closes: #399196)
  * Fix installation of libc6-xen from right source (Closes: #397784)
  * Activate hook disable-tls only if 32 bit architecture (Closes: #397933)
  * Add hook disable-tls for Ubuntu (Closes: #399274)
  * bin/xen-create-image: Fixed documentation: --untar => --tar
    (Closes: #398769)
  * debian/rules: Moved the cfengine hook to roles (Closes: #399152)

 -- Roland Stigge <stigge@antcom.de>  Sun, 19 Nov 2006 13:48:46 +0100

xen-tools (2.8-1) unstable; urgency=low

  * New upstream release

 -- Radu Spineanu <radu@debian.org>  Wed,  8 Nov 2006 00:35:40 +0200

xen-tools (2.7-4) unstable; urgency=low

  * debian/control: Priority: extra (because of debootstrap and
    libtext-template-perl)

 -- Roland Stigge <stigge@antcom.de>  Sat, 21 Oct 2006 17:21:05 +0200

xen-tools (2.7-3) unstable; urgency=low

  * debian/control:
    - Priority: optional (following override, was: extra)
    - Recommends: perl-doc (Closes: #393472)
    - Recommends: xen-hypervisor

 -- Roland Stigge <stigge@antcom.de>  Sat, 21 Oct 2006 14:58:28 +0200

xen-tools (2.7-2) unstable; urgency=low

  * Fixed 2.6-2 changelog entry.

 -- Radu Spineanu <radu@debian.org>  Sat, 14 Oct 2006 02:21:25 +0300

xen-tools (2.7-1) unstable; urgency=low

  * New upstream release

 -- Radu Spineanu <radu@debian.org>  Sat, 14 Oct 2006 02:16:20 +0300

xen-tools (2.6-2) unstable; urgency=low

  * New maintainer (Closes: #390904)
  * Fixed sysvinit's /lib/init/rw being mounted on debootstrap, leading to the
    deletion of the image content on creation (Closes: #391501)

 -- Roland Stigge <stigge@antcom.de>  Sat,  7 Oct 2006 12:58:30 +0200

xen-tools (2.6-1) unstable; urgency=low

  * Allow the user to modify the commands used when installing with
    --copy or --tar.
  * Add --numeric-owner to the command used by --tar by default.
    (Closes: #385024)

 -- Steve Kemp <skx@debian.org>  Mon, 11 Sep 2006 17:00:21 +0000

xen-tools (2.5-2) unstable; urgency=low

  * Don't complation about /etc/xen-tools/role.d/ any more.

 -- Steve Kemp <skx@debian.org>  Sun, 27 Aug 2006 22:39:45 +0000

xen-tools (2.5-1) unstable; urgency=low

  * Install roles system-wide into /etc/xen-tools/role.d/
    This is certainly the last time this will move, since this is
    the second time.  New command line argument '--roledir' allows
    you to specify an alternative location.  (Also valid in the config file.)
    (Closes: #383822)
  * Correctly setup "${noswap}" for the hook scripts.

 -- Steve Kemp <skx@debian.org>  Sun, 27 Aug 2006 22:33:20 +0000

xen-tools (2.4-1) unstable; urgency=low

  * New upstream release.
    - Don't setup ramdisk in xm.tmpl if one isn't being used.
      (Closes: #383703)
    - xen-delete-image will not complain if a swap volume doesn't exist.
      It will also remove the new installation logfile.
      (Closes: #383736)
    - Improved documentation on custom variables in the Xen configuration
      file in the manpage for xt-create-xen-config
    - Allow the MAC address to be set for the first network interface,
      regardless of DHCP/static addressing.
      (Closes: #383492)
  * Added watch file.

 -- Steve Kemp <skx@debian.org>  Tue, 22 Aug 2006 10:00:00 +0000

xen-tools (2.3-1) unstable; urgency=high

  * Urgency set to high because the software will not work correctly unless
    using a specific version of debootstrap.
    - Updated manpages to avoid word-wrapping.
    - Updated --noswap option such that a LVM swap volume isn't created.
    - Reverted the usage of '--keep-debootstrap-dir' since that is a
      "recent" thing.  Will switch to keeping a global logfile for error
      purposes.
      (Closes: #383589)
    - File given as '--template' argument must exist.
    - Leave /etc/inittab terminal type alone.
    - When running with --noswap the Xen configuration file is correct.
    - --fs command line processing is now correct.
  * Switched myself to maintainer, and Radu to be uploader after discussion.

 -- Steve Kemp <skx@debian.org>  Fri, 18 Aug 2006 09:54:32 +0000

xen-tools (2.3-0) unstable; urgency=low

  * New upstream release:
    - Better manpage for xen-create-image which longer displays internal functions. (Closes: #383032)
    - Use a user-specified Xen configuration file template via "--template=xx"
      (Closes: #383036)
    - Allow new images to be created without swap via "--noswap".
      (Closes: #383058)
    - Preserve debootstrap error output in xt-install-image.
      (Closes: #383037)
    - Mount /proc more securely in new guests: nodev, noexec, nosuid.
    - Allow command line installation method or installation type (dir/lvm)
      to override the configuration file options.
      (Closes: #383033)
    - Allow "arch" to be specified and passed to rpmstrap/debootstrap.
      (Closes: #383041)

 -- Steve Kemp <skx@debian.org>  Mon, 14 Aug 2006 22:34:59 +0000

xen-tools (2.2-2) unstable; urgency=low

  * Applied upstream patches to ensure a suitable image-creation method
    is specified to xen-create-image and improved the documentation for
    that script.  (Closes: #379347)

 -- Steve Kemp <skx@debian.org>  Sun, 23 Jul 2006 21:22:24 +0000

xen-tools (2.2-1) unstable; urgency=high

  * New upstream release, fixes several important bugs hence urgency=high.
    - /etc/fstab creation generated correctly for reiserfs
      (Closes: #379023) (Closes: #379096)
    - --force works with xfs filesystems.
      (Closes: #377684)
    - Timezone configuration file copied over into new guest domains.
      (Closes: #376846)
    - Debian image creation works correctly.
      (Closes: #378165)

 -- Steve Kemp <skx@debian.org>  Sat, 22 Jul 2006 16:59:39 +0000

xen-tools (2.1-2) unstable; urgency=high

  * CVS snapshot to fix RC bugs and allow package into testing.
    - Build from source with no test-case failures.
      (Closes: #375267)
    - Fixed several typos in the configuration file, and scripts.
      (Closes: #375382)

 -- Steve Kemp <skx@debian.org>  Thu, 29 Jun 2006 10:31:23 +0000

xen-tools (2.1-1) unstable; urgency=high

  * New upstream release:
    - The --boot option works again.
    - Accept the --mirror command line option.
    - Accept the --fs command line option (Closes: #374987)
    - Create swap for new images (Closes: #374989)
    - Always create non-sparse images on LVM systems (Closes: #374988)
    - Gentoo image customisation supported.
  * Urgency set to high primarily because of the failure to create
    swap devices.

 -- Steve Kemp <skx@debian.org>  Thu, 23 Jun 2006 10:08:32 +0000

xen-tools (2.0-1) unstable; urgency=low

  * New upstream release
     + Moves the hook directories from /etc/xen-tools to /usr/lib/xen-tools
     + Adds explicit support for Ubuntu Dapper.
     + Changed homepage links.
  * Updated build-deps to include modules required for clean pass of test
    suite.
  * Added dependency for Text::Template, and removed obsolete Term::Size.
  * Improved documentation relating to the LVM support.
    Note: --volume becomes --lvm from 2.0 upwards.
    (Closes: #368831)
  * Installation on LVM partitions now works without error.
    (Closes: #373800)

 -- Steve Kemp <skx@debian.org>  Tue, 20 Jun 2006 09:57:45 +0000

xen-tools (1.6-1) unstable; urgency=low

  * New upstream release (closes: #368983)
     + Install libc6-xen on sid/etch systems
     + Don't update /etc/hosts on the host if there is already an
       entry present for that given host.
  * Added xen | xen-hypervisor-3.0 to depends again (closes: #370278)
  * Updated Standards version
  * Added missing 1.4-2 changelog entry

 -- Radu Spineanu <radu@debian.org>  Sat, 10 Jun 2006 18:57:50 +0300

xen-tools (1.5-1) unstable; urgency=low

  * New upstream release

 -- Radu Spineanu <radu@debian.org>  Tue, 30 May 2006 00:07:30 +0300

xen-tools (1.4-2) unstable; urgency=medium

  * Snapshot of CVS to close bugs.
  * Consistently use SCSI / IDE style device names.
    (Closes: #366252)
  * Don't overwrite new images with xen-create-image, unless '--force'
    is applied.  (Closes: #366403)
  * Rather than recommending Xen (which is Xen 2.0) recommend either
    xen or xen-hypervisor-3.0.  (Closes: #366459).
  * Updated standards version to 3.7.2.  (No changes).
  * Set the priority to "optional" not "extra".  Must remember to keep
    this there this time..

 -- Steve Kemp <skx@debian.org>  Mon, 22 May 2006 12:04:21 +0000

xen-tools (1.4-1) unstable; urgency=low

  *  Delete the /etc/xen-tools/xen-create-image.d directory if it's empty
     or display a warning otherwise
  *  Closed wrong bug number in the 1.3-1 upload
  *  Allow files to be copied to all new instances via /etc/xen-tools/skel
     (Closes: #363070)
  *  Added new option --initrd to specify the initial ramdisk.
     (Closes: #365500)

 -- Steve Kemp <skx@debian.org>  Sun, 7 May 2006 14:43:43 +0000

xen-tools (1.3-1) unstable; urgency=low

  * New upstream release
     + Ignore .dpkg-(new|old) files in the hooks directory
       (closes: #357716)

 -- Radu Spineanu <radu@debian.org>  Sat, 15 Apr 2006 13:44:36 +0300

xen-tools (1.1-1) unstable; urgency=low

  * New upstream release
     + Disk devices are no longer created one unit bigger than asked
       (closes: #353155)
     + Populate /dev on the virtual server (closes: #352942)
     + Added --use-ide flag in case people want ide style device names
       (closes: #352937)
     + xen.cfg is no longer broken when using LVM

 -- Radu Spineanu <radu@debian.org>  Tue, 21 Feb 2006 01:28:28 +0200

xen-tools (1.0-1) unstable; urgency=low

  * New upstream release
  * Changed priority from optional to extra because of debootstrap

 -- Radu Spineanu <radu@debian.org>  Thu,  9 Feb 2006 00:25:41 +0200

xen-tools (0.9-2) unstable; urgency=high

  * BUGFIX:  Add "vif = ['']" to each configuration file created in
    /etc/xen.  Without this networking of guest domains may fail in
    Xen 3.0.1

 -- Steve Kemp <skx@debian.org>  Sat,  4 Feb 2006 20:20:01 +0000

xen-tools (0.9-1) unstable; urgency=low

  * New upstream release.
    Allows disabling of the .deb caching via "--cache=no" (Closes: #348721)

 -- Steve Kemp <skx@debian.org>  Wed,  25 Jan 2006 09:19:21 +0000

xen-tools (0.8.5-1) unstable; urgency=low

  * New upstream release (closes: #345912)
    (generated /etc/fstab broken)
  * Fixes typo in description (closes: #346296)

 -- Radu Spineanu <radu@debian.org>  Sun,  8 Jan 2006 21:57:17 +0200

xen-tools (0.6-1) unstable; urgency=low

  * New upstream release, featuring a collection of "hooks" to
    do most of the processing.
  * Build manpages at package creation time.
  * Run the (minimal) test suite at package creation time.
  * Added link to homepage in debian/control
  * Added dependency upon libterm-size-perl so that the messages
    may stretch the width of the console.

 -- Steve Kemp <skx@debian.org>  Sun, 25 Dec 2005 15:01:38 +0000

xen-tools (0.4-1) unstable; urgency=low

  * Initial release (Closes: #344081)

 -- Radu Spineanu <radu@debian.org>  Tue, 20 Dec 2005 02:21:05 +0200
